Bug 1130473 - setup users/roles for dashbuilder
Summary: setup users/roles for dashbuilder
Keywords:
Status: ASSIGNED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Documentation
Version: 6.0.2
Hardware: Unspecified
OS: Unspecified
low
high
Target Milestone: CR2
: One-off release
Assignee: Vidya
QA Contact: Lukáš Petrovický
Dawn Eisner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 10:24 UTC by Toshiya Kobayashi
Modified: 2019-02-28 22:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 22704, IBM Websphere Installation and Configuration Guide-6.0-1 Build Date: 30-06-2014 17:36:49 Topic ID: 30515-640863 [Latest]
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Toshiya Kobayashi 2014-08-15 10:24:57 UTC
Title: Install Dashbuilder

Describe the issue:

 ⁠3. Setup users and roles
⁠ 4. Create Users
 5. Map Dashbuilder Users to Webshpere Users

This part is a bit confusing.

Don't we just use the same users and 5 roles which we have created for business-central?

Comment 1 Vikram Goyal 2015-05-06 06:27:28 UTC
David - can you look at what Toshiya has mentioned and clarify?

The docs are here: https://access.redhat.com/documentation/en-US/Red_Hat_JBoss_BPM_Suite/6.1/html-single/IBM_WebSphere_Installation_and_Configuration_Guide/index.html#Install_Dashbuilder

Comment 2 David Gutierrez 2015-05-06 08:44:55 UTC
Dashbuilder is packaged and bundled as part of BPMS. For BPMS, we release an extended version of dashbuilder which includes a Process Dashboard and is configured with the same 5 roles that business central defines.

So the answer to the question is YES. The product documentation should be modified.

Comment 3 Vidya 2015-07-13 11:03:11 UTC
Hi,

Would it be correct to remove the steps:
 ⁠3. Setup users and roles
⁠ 4. Create Users
 5. Map Dashbuilder Users to Webshpere Users
and mention that the dashbuilder includes a Process Dashboard and is configured with the same 5 roles that business central defines?

Regards,

Vidya

Comment 4 Toshiya Kobayashi 2015-07-16 08:29:17 UTC
> mention that the dashbuilder includes a Process Dashboard and is configured with the same 5 roles that business central defines?

What David told ("we release an extended version of dashbuilder which includes a Process Dashboard and is configured with the same 5 roles that business central defines.") is a background. As documentation steps, we may just mention that you can use users which are already created in the previous steps. WDYT?

Comment 5 Vidya 2015-07-17 06:48:37 UTC
Thanks Toshiya. I have modified the topic. A link to the latest doc will be available for verification when the doc is built next.

Comment 6 Vidya 2015-07-20 08:14:19 UTC
The changes are made in the 6.1 version of the "IBM WebSphere Installation and Configuration Guide" document. It can be verified here:

http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_JBoss_BPM_Suite/6.1/html/IBM_WebSphere_Installation_and_Configuration_Guide/Install_Dashbuilder.html

Comment 7 Jan Hrcek 2015-09-09 07:37:49 UTC
The step 3 is still incorrect:
-------
3. Map Dashbuilder Users to WebShpere Users
Click on Security role to user/group mapping within the Dashbuilder application. Select a role (which you would have already created for Business Central) and then click on Map Users.. button.
Map the users created in the previous steps to the roles that you want to assign them.
-------
As David mentions in comment #2, Dashbuilder included in BPM Suite is <em>already configured</em> with the same 5 roles that business central defines. This means that no additional configuration of the application is necessary. There is NO "Security role to user/group mapping within the Dashbuilder application" as the guide mentions. User's will simply be able to access dashbuilder as long as they have the appropriate role (admin/analyst/developer/user/manager) assigned in the application container (IBM Web Sphere in this case).
-------
I think, that the step 3 can be removed from this part of guide altogether.


Note You need to log in before you can comment on or make changes to this bug.